Skip to main content
POST
/
v1
/
workspaces
/
{workspaceId}
/
receipts
/
{receiptId}
/
token
Create a receipt token
curl --request POST \
  --url https://lodger.dev/v1/workspaces/{workspaceId}/receipts/{receiptId}/token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expiresInSeconds": 604800
}
'
{
  "token": "<string>",
  "receiptUrl": "<string>",
  "receipt": "<string>",
  "workspaceId": "<string>",
  "projectId": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:lodger_sk_your_key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required
Example:

"org_01JZ2M9E7G6D8R5K3D"

receiptId
string
required
Example:

"rcpt_093a339cc2c2ffed"

Body

application/json
expiresInSeconds
integer
default:604800
Required range: 60 <= x <= 2592000

Response

A scoped receipt verification token.

token
string
required
receiptUrl
string
required
receipt
string
required
workspaceId
string
required
projectId
string
required
expiresAt
string<date-time>
required